BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 12-16-2007, 12:32 PM   #1 (permalink)
New Member
 
Join Date: Dec 2007
Model: Pearl
PIN: N/A
Carrier: Rogers
Posts: 1
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Settlers of Catan on Blackberry

Please Login to Remove!

I have a Pearl, and some files for the board game Settlers of Catan. I have the PC version (catan.exe) and another version which I believe is for mobile phones, catan.jar and catan.jad. The latter I was able to install on my BB Pearl and got as far as having the game icon on my screen, but got an error when trying to start it up:

"Error starting Catan: Module 'Catan' has verification error 1810 at offset 0483"

Does anyone know if there is a way around this error, or if there is a way to convert the PC exe file to use on BB (or Pocket PC)? I'm guessing not, but just asking. Thanks!!
Offline  
Old 12-16-2007, 03:14 PM   #2 (permalink)
BlackBerry Extraordinaire
 
rivviepop's Avatar
 
Join Date: Dec 2006
Location: san francisco
Model: 8320
PIN: n/a
Carrier: t-mobile
Posts: 2,166
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

That error means that the code was obsfucated during compilation and it's not going to run on the BB device; I get this from random J2ME apps I download off of getjar.com every once in awhile, one of the coders of the apps helped me figure it out in general.

In short: there's nothing you can do with that JAD/JAR if you get that error, it has to be rebuilt by the coder to be BB-friendly.
__________________
[ Linux & BlackBerry ] http://www.blackberryforums.com/linux-users-corner/
Offline  




Copyright 2004-2016 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.